React with react-arcgis

313
2
03-28-2019 05:14 AM
kawishabbas
New Contributor III

Hi,

My App is built with react and i want to use Arcgis API 3.27 into this project. i have downloaded react-arcgis but it install latest verison of API 4.10. How can i use API 3.27 instead of 4.10 in react

0 Kudos
2 Replies
ReneRubalcava
Frequent Contributor II

The steps are similar, but you can't use the react-arcgis library, there is no 3x version of it.

I don't know of any samples of 3x with React, but the ideas are the same, you probably want to use esri-loader because we don't have a webpack plugin for 3x. You can create a component and when the component mounts you can reference the output DOM node and attach your map to it.

kawishabbas
New Contributor III

Thank you Rene Rubalcava.

0 Kudos